/// Aufrufen: _ok = createDialog "Satellitenbild" /// ArmA  Vienna  24.02.2007 ///


class RscButton_Sat //steuert Mausklick auf Button
	{
 		access=0;type=1;style=0x02;
 		colorText[]={0,0,0,1};colorBackground[]={.37,.63,.61,0.5};font=BitStream;sizeEx=0.02;
		colorDisabled[]= {0.3,0.3,0.3,1};colorBackgroundDisabled[]={0.6,0.6,0.6,1};x=0;y=0;w=0.3;h=0.1;text = ';
		colorBackgroundActive[]={0.84,1,0.55,1};offsetX=0.004;offsetY=0.004;offsetPressedX = 0.002;offsetPressedY=0.002;
		colorFocused[]={0,0,0,1};colorShadow[]={0,0,0,0.1};	colorBorder[]={0,0,0,1};borderSize=0.0;
		soundEnter[]={',0.1,1};soundPush[]={',0.1,1};soundClick[]={', 0.1,1};soundEscape[]={',0.1,1};};

class Satellitenbild //Titel des Dialogs
{
	idd = 1702;
	movingEnable = true;

	controlsBackground[]={};

	
	controls[] = {Text1,Exit,Nordpfeil,
								KreuzText,KreuzC,
								KreuzLO, KreuzRO, KreuzLU, KreuzRU,
								KreuzLO2,KreuzRO2,KreuzLU2,KreuzRU2,
								TextZ1,TextZ0,
								TextN1,TextN0,
								TextZone,TextNSat,TextSSat,TextWSat,TextESat};
	
	class Text1             //Titel
		{
			idc=-1;
			type  = 0;          // statisch 
			style = 0x02;       // zentriert
			colorBackground[] = {0, 0, 0, 0}; // kein Hintergrund
			colorText[]       = {0,0,0,0.5};
			font   = Bitstream;
			sizeEx = 0.03;
			x=0.3;
			y=0.01;
			w=0.4;
			h=0.04;
			text="SATELLITE CAMERA";
		};
	class Nordpfeil : Text1
			{
				style = 48;       //Bild Nordpfeil
				x = 0.915;
				y = 0.20;
				w = 0.04;
				h = 0.10;
				text = "Sat_Cam\Nordpfeil.paa";
			};
	class KreuzText : Text1 //Zeigt Gre der Sicht
			{
				idc = 17020;
				style = 0x00;     // links
				colorText[] = {1,0,0,1};
				sizeEx = 0.018;
				x = 0.16;
				y = 0.007;
				text = "200m x 200m";
			};
	class KreuzC : KreuzText
			{
				style = 48;       //Bild mittleres Kreuz
				x = 0.485;
				y = 0.48;
				w = 0.03;
				h = 0.04;
				text = "Sat_Cam\Kreuz.paa";
			};
	class KreuzLO : KreuzC  //uere Kreuze
			{
				x = 0.13;
				y = 0.006;
			};
	class KreuzRO : KreuzLO
			{
				x = 0.838;
			};
	class KreuzLU : KreuzLO
			{
				y = 0.952;
			};
	class KreuzRU : KreuzLU
			{
				x = 0.838;
			};
	class KreuzLO2 : KreuzC //innere Kreuze welche den Zoombereich anzeigen
			{
				idc = 17021;
				x = 0.13 +0.22;
				y = 0.006+0.295;
			};
	class KreuzRO2 : KreuzLO2
			{
				idc = 17022;
				x = 0.838-0.22;
			};
	class KreuzLU2 : KreuzLO2
			{
				idc = 17023;
				y = 0.952-0.295;
			};
	class KreuzRU2 : KreuzLU2
			{
				idc = 17024;
				x = 0.838-0.22;
			};
	class TextNSat : RscButton_Sat //Sicht verstellen N,S,W,E
		{
			idc=-1;
			x=0.90;
			y=0.50;
			w=0.08;
			h=0.03;
			text="50m to N";
			action="'N' execVM 'Sat_Cam\SatellitenPos.sqf'";
		};
	class TextSSat : TextNSat
		{
			y=0.55;
			text="50m to S";
			action="'S' execVM 'Sat_Cam\SatellitenPos.sqf'";
		};
	class TextWSat : TextNSat
		{
			y=0.60;
			text="50m to W";
			action="'W' execVM 'Sat_Cam\SatellitenPos.sqf'";
		};
	class TextESat : TextNSat
		{
			y=0.65;
			text="50m to E";
			action="'E' execVM 'Sat_Cam\SatellitenPos.sqf'";
		};
	class TextZone : TextNSat //Sicht auf die Startposition zurck
		{
			y=0.70;
			text="to center";
			action="'X' execVM 'Sat_Cam\SatellitenPos.sqf'";
		};
	class TextZ1 : TextNSat //Zoom einschalten und Kreuze des Zoombereichs ausschalten
		{
			y=0.75;
			colorBackground[]={.11,.79,.87,0.5};
			text="Zoom on";
			action=
			"\
			'ZE' execVM 'Sat_Cam\SatellitenPos.sqf';\
			((findDisplay 1702) displayCtrl 17020) ctrlSetText '75m x 75m';\
			((findDisplay 1702) displayCtrl 17021) ctrlShow  false;\
			((findDisplay 1702) displayCtrl 17022) ctrlShow  false;\
			((findDisplay 1702) displayCtrl 17023) ctrlShow  false;\
			((findDisplay 1702) displayCtrl 17024) ctrlShow  false\
			";
		};
	class TextZ0 : TextZ1 //Zoom ausschalten und Kreuze des Zoombereichs einschalten
		{
			y=0.80;
			text="Zoom off";
			action=
			"\
			'ZA' execVM 'Sat_Cam\SatellitenPos.sqf';\
			((findDisplay 1702) displayCtrl 17020) ctrlSetText '200m x 200m';\
			((findDisplay 1702) displayCtrl 17021) ctrlShow  true;\
			((findDisplay 1702) displayCtrl 17022) ctrlShow  true;\
			((findDisplay 1702) displayCtrl 17023) ctrlShow  true;\
			((findDisplay 1702) displayCtrl 17024) ctrlShow  true\
			";
		};
	class TextN1 : TextNSat //Nachtsicht ein
		{
			y=0.85;
			colorBackground[]={.26,.82,.20,0.5};
			text="NVG on";
			action="camUseNVG true";
		};
	class TextN0 : TextN1   //Nachtsicht aus
		{
			idc=-1;
			y=0.90;
			text="NVG off";
			action="camUseNVG false";
		};
	class Exit : TextNSat   //Dialog schlieen
		{
			colorBackground[]={1,0,0,0.5};
			y=0.95;
			text="Exit";
			action="closeDialog 1702";
		};
};
